package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.entity.TDFormWidgetMetadata;
import com.qmth.sop.common.enums.TFCustomTypeEnum;

/**
 * <p>
 * 动态表单元数据表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2023-08-29
 */
public interface TDFormWidgetMetadataService extends IService<TDFormWidgetMetadata> {

    /**
     * 根据流程类型、部署id、版本号删除数据
     *
     * @param type
     * @param flowDeploymentId
     * @param version
     * @return
     */
    Boolean deleteAllData(TFCustomTypeEnum type, String flowDeploymentId, Integer version);
}
